GET
/api/v1/cdn/distributions/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdn/distributions/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/cdn/distributions/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdn/distributions/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful retrieval of CDN .
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
domain_id
string
user_domain_name
string
e2e_domain_name
string
domain_state
string
is_enabled
boolean
created_at
string format: date-time
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": [ { "id": 1052, "domain_id": "ENZYVCZPO9X4L", "user_domain_name": "docs.e2enetworks.com", "e2e_domain_name": "docs1g047zlrhx.cdn.e2enetworks.net", "domain_state": "Deployed", "is_enabled": true, "created_at": "30/Oct/2024 12:48 PM" } ], "errors": {}, "message": "Success"}